LibreOffice: XHalfFloatReadOnlyBitmap Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XHalfFloatReadOnlyBitmap Interface Reference

Specialized interface for bitmaps containing half floats as their color components. More...

Inheritance diagram for XHalfFloatReadOnlyBitmap:

## Public Member Functions
sequence< short > | getData ([in] ::com::sun::star::geometry::IntegerRectangle2D rect) raises (com::sun::star::lang::IndexOutOfBoundsException, VolatileContentDestroyedException)
| Query the raw data of this bitmap.
sequence< short > | getPixel ([in] ::com::sun::star::geometry::IntegerPoint2D pos) raises (com::sun::star::lang::IndexOutOfBoundsException, VolatileContentDestroyedException)
| Get a single pixel of the bitmap, returning its color value.
FloatingPointBitmapLayout | getMemoryLayout ()
| Query the memory layout for this bitmap.
Public Member Functions inherited from XBitmap
::com::sun::star::geometry::IntegerSize2D | getSize ()
| Query the size of the bitmap.
boolean | hasAlpha ()
| Query transparency status of the bitmap.
XBitmap | getScaledBitmap ([in] ::com::sun::star::geometry::RealSize2D newSize, [in] boolean beFast) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Query a scaled copy of the original bitmap.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Specialized interface for bitmaps containing half floats as their color components.

Half floats are 16 bit wide, and some high-end GPUs already have them as supported frame buffer format. In contrast to XHalfFloatBitmap, this interface only permits read-only access.

Use this interface for e.g. bitmaps that are calculated on-the-fly, or that are pure functional, and thus cannot be modified.

If you get passed an instance of XHalfFloatReadOnlyBitmap that also supports the XVolatileBitmap interface, things become a bit more complicated. When reading data, one has to check for both VolatileContentDestroyedException and mismatching FloatingPointBitmapLayout return values. If either of them occurs, the whole bitmap read operation should be repeated.

## Member Function Documentation

## ◆ getData()

sequence< short > getData | ( | [in] ::com::sun::star::geometry::IntegerRectangle2D | rect | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | VolatileContentDestroyedException
| ) |  |

Query the raw data of this bitmap.

Query the raw data of this bitmap, in the format as defined by getMemoryLayout(). With the given rectangle, a subset of the whole bitmap can be queried. When querying subsets of the bitmap, the same scanline padding takes place as when the whole bitmap is requested. Note: as we currently have no 16 bit float UNO data type, the values are transported as 16 bit integers across the API (which requires casting on both sides).

Exceptions

  VolatileContentDestroyedException | if the bitmap is volatile, and the content has been destroyed by the system.

## ◆ getMemoryLayout()

FloatingPointBitmapLayout getMemoryLayout | ( |  | ) |

Query the memory layout for this bitmap.

## ◆ getPixel()

sequence< short > getPixel | ( | [in] ::com::sun::star::geometry::IntegerPoint2D | pos | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException,
|  | VolatileContentDestroyedException
| ) |  |

Get a single pixel of the bitmap, returning its color value.

Exceptions

  VolatileContentDestroyedException | if the bitmap is volatile, and the content has been destroyed by the system.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XHalfFloatReadOnlyBitmap.idl